Skip to main content
GET
/
v1
/
chart
/
time
Python (SDK)
from finance_dev import FinanceDev, models
import os


with FinanceDev(
    security=models.Security(
        client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
        client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
    ),
) as fd_client:

    res = fd_client.chart.get_chart_time()

    # Handle response
    print(res)
package hello.world;

import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.operations.GetChartTimeResponse;

public class Application {

public static void main(String[] args) throws Exception {

AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();

GetChartTimeResponse res = sdk.chart().getTime()
.call();

if (res.res().isPresent()) {
// handle response
}
}
}
curl --request GET \
--url https://api.tradearies.dev/v1/chart/time \
--header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tradearies.dev/v1/chart/time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"1704067200000"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Current server time retrieved successfully

Unix timestamp in milliseconds

Example:

"1704067200000"